"use strict";
import Luci from './luci.js';
import Antifurto from './antifurto.js';

class Scenari {
    static scenariContainer;

    constructor() {
        Scenari.init();
    }

    static init() {
        this.scenariContainer = document.getElementById('scenariContainer');
        const scenariBtn = document.getElementById('mainButtonContainer').children[1];
        scenariBtn.addEventListener('click', event => {
            event.preventDefault();
            this.toggleContainer(true);
            Luci.toggleContainer(false);
            Antifurto.toggleContainer(false);
        }, false);
    }

    // toggle the visibility of the scenari container
    static toggleContainer(visible) {
        if (visible) {
            this.scenariContainer.classList.remove('invisible');
        } else {
            this.scenariContainer.classList.add('invisible');
        }
    }



}

export default Scenari;